View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012407ParaView(No Category)public2011-07-26 22:532011-08-17 20:04
ReporterUtkarsh Ayachit 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12 
Summary0012407: State loading loosing plot selection for chart views
Description* Sphere -> Apply
* Plot Data -> Apply
* Save State
* Restart Paraview
* Load State

Notice that the plotted arrays are now totally wrong.

TagsNo tags attached.
ProjectSandia
Topic Name12407_plot_arrays_reset_in_state
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0027080)
Utkarsh Ayachit (administrator)
2011-07-26 23:22

commit 4c942555daa1368f6693744a3b40332c8c12e74a
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Tue Jul 26 23:20:42 2011 -0400

    Fixed BUG 0012407. Visibility info was lost when state was loaded.
    
    vtkContextNamedOptions ended up resetting the visibility information after state
    was loaded resulting in all arrays being plotted. Fixed that.
(0027119)
Utkarsh Ayachit (administrator)
2011-07-29 10:40

Issue slated for Gatekeeper review on Jul 29, 2 pm EDT.
(0027131)
Kyle Lutz (viewer)
2011-07-29 11:45

Verified
(0027160)
Utkarsh Ayachit (administrator)
2011-07-29 15:03

Merged to master (if applicable)
(0027383)
Alan Scott (manager)
2011-08-17 20:04

Tested local server, Linux, development branch.

- Issue History
Date Modified Username Field Change
2011-07-26 22:53 Utkarsh Ayachit New Issue
2011-07-26 22:53 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2011-07-26 23:22 Utkarsh Ayachit Status backlog => todo
2011-07-26 23:22 Utkarsh Ayachit Status todo => active development
2011-07-26 23:22 Utkarsh Ayachit Topic Name => 12407_plot_arrays_reset_in_state
2011-07-26 23:22 Utkarsh Ayachit Note Added: 0027080
2011-07-26 23:22 Utkarsh Ayachit Status active development => gatekeeper review
2011-07-26 23:22 Utkarsh Ayachit Fixed in Version => 3.12
2011-07-26 23:22 Utkarsh Ayachit Resolution open => fixed
2011-07-29 10:40 Utkarsh Ayachit Note Added: 0027119
2011-07-29 11:45 Kyle Lutz Note Added: 0027131
2011-07-29 15:03 Utkarsh Ayachit Status gatekeeper review => customer review
2011-07-29 15:03 Utkarsh Ayachit Note Added: 0027160
2011-08-17 20:04 Alan Scott Note Added: 0027383
2011-08-17 20:04 Alan Scott Status customer review => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker